%define name hfsutils
%define version 3.2.6
%define release 4mdk

Summary: Tools for reading and writing Macintosh HFS volumes
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
BuildRoot: %_tmppath/%{name}-buildroot
URL: http://www.mars.org/home/rob/proj/hfs/
Copyright: GPL
Group: File tools

%package -n hfsutils-devel
Summary: C library for reading and writing Macintosh HFS volumes
Group: File tools

%description
A portable, free implementation of routines for accessing HFS volumes.
Provides this through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description -n hfsutils-devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --with-tcl --with-tk --enable-devlibs --prefix=/usr \
	--infodir=%{_infodir} --mandir=$RPM_BUILD_ROOT/%{_mandir}

%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT ;fi
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
%makeinstall
%makeinstall install_lib 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc BLURB CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
%{_bindir}/*
%{_mandir}/man1/*

%files -n hfsutils-devel
%defattr (-,root,root)
%{_libdir}/libhfs.a
%{_includedir}/hfs.h

%changelog 
* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.6-4mdk
- rebuild

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.6-3mdk  
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.6-2mdk
- fix group 
- fix files section

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
